# $Revision: 1.26 $, $Date: 2002/09/19 17:44:17 $
Summary:	Software to create compressed audio files
Summary(es):	Lame es un gerador de MP3
Summary(pl):	Program do tworzenia skompresowanych plikw dwikowych
Summary(pt_BR):	Lame  um gerador de MP3
Name:		lame
Version:	3.92
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://telia.dl.sourceforge.net/lame/%{name}-%{version}.tar.gz
Patch0:		%{name}-glibc.patch
Patch1:		%{name}-ifdef.patch
URL:		http://www.mp3dev.org/mp3/
BuildRequires:	autoconf
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libogg-devel
BuildRequires:	nasm
BuildRequires:	ncurses-devel => 4.2
Requires:	lame-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin

%description
Lame is a program which can be used to create compressed audio files.
(Lame aint MP3 encoder). These audio files can be played back by
popular mp3 players such as mpg123.

%description -l es
LAME es un encoder MP3 GPL.

%description -l pl
Lame jest programem, ktry suy do tworzenia skompresowanych plikw
dwikowych. (Lame nie jest programem do kompresji w formacie MP3).
Stworzone pliki mona odtwarza dekoderami MP3, np.: mpg123.

%description -l pt_BR
LAME  um encoder MP3 GPL.

%package libs
Summary:	LAME mp3 encoding library
Summary(pl):	Biblioteka kodujca MP3 LAME
Group:		Development/Libraries

%description libs
LAME mp3 encoding library.

%description libs -l pl
Biblioteka kodujca MP3 LAME.

%package libs-devel
Summary:	Header files and devel documentation
Summary(es):	Archivos para desarrollo
Summary(pl):	Pliki nagwkowe i dokumentacja developerska
Summary(pt_BR):	Arquivos para desenvolvimento
Group:		Development/Libraries
Requires:	lame-libs = %{version}

%description libs-devel
Header files and devel documentation for LAME libraries.

%description libs-devel -l es
Archivos de desarrolo.

%description libs-devel -l pl
Pliki nagwkowe i dokumentacja developerska bibliotek LAME.

%description libs-devel -l pt_BR
Arquivos de desenvolvimento.

%package libs-static
Summary:	Static LAME library
Summary(es):	Bibliotecas estaticas de desarrollo
Summary(pl):	Biblioteki statyczne LAME
Summary(pt_BR):	Bibliotecas estticas de desenvolvimento
Group:		Development/Libraries
Requires:	lame-libs-devel = %{version}

%description libs-static
LAME static libraries.

%description libs-static -l es
Bibliotecas estaticas de desarrollo.

%description libs-static -l pl
Biblioteki statyczne LAME.

%description libs-static -l pt_BR
Bibliotecas estticas de desenvolvimento.

%package x11
Summary:	GTK frame analyzer
Summary(pl):	Analizator ramek w GTK
Group:		Applications/Sound

%description x11
GTK frame analyzer.

%description x11 -l pl
Analizator ramek w GTK.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	--enable-shared \
	--enable-static \
	--enable-mp3x \
	--enable-mp3rtp \
	--enable-brhist
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_xbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT{%{_bindir}/mp3x,%{_xbindir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO USAGE doc/html/*.{html,css}
%attr(755,root,root) %{_bindir}/lame
%attr(755,root,root) %{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files libs-devel
%defattr(644,root,root,755)
%doc API DEFINES
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/lame

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lame.spec,v $
Revision 1.26  2002/09/19 17:44:17  kloczek
- release 2.

Revision 1.25  2002/09/18 06:52:44  grzegol
- new %%doc

Revision 1.24  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/24 20:51:06  mwinkler
- updated to 3.92
- some fixes

Revision 1.22  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/25 18:21:31  qrczak
- lame-ifdef.patch: #ifdef 0 is lame and doesn't work in gcc3,
  changed to #if 0
- Release 3.

Revision 1.19  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/07 09:10:53  kloczek
- release 2.

Revision 1.17  2002/01/06 21:28:44  qboosh
- adapterized, cosmetics

Revision 1.16  2002/01/05 22:35:08  blues
- some translations (CNV)

Revision 1.15  2002/01/05 20:10:04  mkierus
- updated to 3.91

Revision 1.14  2001/08/08 21:44:57  kloczek
- updated to 3.89.

Revision 1.13  2001/07/31 18:35:25  blues
- Release 2
- more buildrequires
- ac 2.5 ready

Revision 1.12  2001/04/02 10:35:48  kloczek
- cosmetics.

Revision 1.11  2001/03/31 12:35:29  misiek
run ldconfig in post/postun; stb

Revision 1.10  2001/03/31 12:28:44  misiek
updated to 3.88beta and splited into: lame, lame-libs, lame-libs, lame-libs-devel, lame-libs-static and lame-x11.

Revision 1.9  2000/07/13 23:11:45  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.8  2000/07/13 20:43:38  baggins
- release 2

Revision 1.7  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.3  2000/03/16 10:34:07  misiek
- adaptized
- removed bashizm (wrobell - don't use pushd popd !)
- link with tinfo library not with termcap

Revision 1.2  2000/01/24 23:15:20  wrobell
- added licence file to documentation

Revision 1.1  2000/01/23 00:48:33  wrobell
- initial release
